baseurl = "https://bf.mengyan1223.wang/blog/"  # End your URL with a `/` trailing slash, e.g. `https://example.com/`.
title = "Xry111's Blog"
copyright = "&copy; 2017-2021 Xi Ruoyao"
theme = "wowchemy"
enableEmoji = true
footnotereturnlinkcontents = "<sup>^</sup>"
ignoreFiles = ["\\.Rmd$", "\\.Rmarkdown$", "_files$", "_cache$"]
preserveTaxonomyNames = true
paginate = 10

# Enable analytics by entering your Google Analytics tracking ID
googleAnalytics = ""

# Default language to use (if you setup multilingual support)
defaultContentLanguage = "en"
hasCJKLanguage = true
defaultContentLanguageInSubdir = false

enableGitInfo = true

[outputs]
  home = [ "HTML", "RSS", "JSON", "WebAppManifest" ]
  section = [ "HTML", "RSS" ]

[mediaTypes."application/manifest+json"]
  suffixes = ["webmanifest"]

[outputFormats.WebAppManifest]
  mediaType = "application/manifest+json"
  rel = "manifest"

# Configure BlackFriday Markdown rendering.
#   See: https://gohugo.io/readfiles/bfconfig/
[blackfriday]
  hrefTargetBlank = true  # `true` opens external links in a new tab.
  fractions = true  # `false` disables smart fractions (e.g. 5/12 formatted as a fraction).
  smartypants = true  # `false` disables all smart punctuation substitutions (e.g. smart quotes, dashes, fractions).

menu_align_right = true

# Taxonomies.
[taxonomies]
  tag = "tags"
  category = "categories"
  publication_type = "publication_types"
  author = "authors"

[module]
  [[module.imports]]
    path = "wowchemy/wowchemy"

[markup]
  [markup.goldmark]
    [markup.goldmark.renderer]
	  unsafe = true
